* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: Roboto, Helvetica, sans-serif;
  transition: 0.3s ease;
}

.main {
  display: flex;
  flex-direction: column;
  width: 100%;
  height: 100vh;
  align-items: center;
  background: rgb(255, 255, 255);
}

.navbar {
  background: #fff;
  width: 100%;
  padding: 20px 0px;
  display: flex;
  align-items: center;
  span {
    margin-left: 2.5%;
    display: flex;
    align-items: center;
    font-weight: bold;
    img {
      width: 58px;
    }
    svg {
      margin-right: 8px;
      width: 35px;
      height: 30px;
      padding-top: 5px;
      margin-top: -5px;
      margin-left: 9px;
      background: linear-gradient(to bottom, #cdedf8, white);
      border-radius: 1000px;
      overflow: visible;
    }
  }
}

.sec2 {
  background: #fff;
  width: 100%;
  height: 65px;
  padding: 0 2.5%;
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
}

.sec2 > .dropdown {
  min-width: 300px;
  height: 100%;
  flex-grow: 1;
  width: 10%;

  .for-input {
    width: 100%;
    height: 80%;
    border: 1px solid #d6d6d6;
    border-radius: 4px;
    display: flex;
    align-items: center;

    input {
      width: 100%;
      height: 100%;
      font-size: 16px;
      border: none;
      outline: none;
    }

    svg {
      margin: 0px 10px;
    }

    .arrow-down {
      size: 150px;
    }
  }

  .for-input:focus-within {
    border: 1.4px solid #17e8ff;
  }
  .for-input:focus-within .arrowdown {
    transform: rotate(180deg);
  }

  .for-input:focus-within .options {
    display: block;
  }

  .options {
    display: none;
    background: white;
    width: 100%;
    position: relative;
    height: 200px;
    font-size: 16px;
    border: 1px solid #d6d6d6;
    border-radius: 4px;
    overflow-y: scroll;
    hr {
      border: none; /* Remove default border */
      height: 1px; /* Set the height of the line */
      background-color: #d6d6d6;
    }
    option {
      padding: 15px;
      font-size: 14px;
    }
  }
}

.dropdown:focus-within .options {
  display: block;
}

.sec2 > .input {
  height: 100%;
  flex-grow: 1;
  width: 50%;
  min-width: 300px;
  padding: 0px 10px;
  display: flex;

  input {
    width: 100%;
    height: 80%;
    font-size: 16px;
    border: 1px solid #d6d6d6;
    border-radius: 4px;
    padding-left: 10px;
  }

  button {
    width: 50px;
    height: 80%;
    background: #002f34;
    color: white;
    border: none;
    border-top-right-radius: 5px;
    border-bottom-right-radius: 5px;

    svg {
      fill: #ffffff;
    }
  }
}

.sec2 > .btn {
  height: 100%;
  min-width: 200px;
  display: flex;

  button {
    width: 50%;
    height: 70%;
    margin: 5px;
    background: transparent;
    border: none;
    font-size: 15px;
    .text {
      font-weight: bold;
      position: relative;
      top: -38px;
      svg {
        position: relative;
        top: 2px;
      }
    }
  }
}

.btn > button:first-child {
  background: rgba(255, 255, 255, 0.658);
  text-decoration: 2px underline #002f34;
  font-weight: bold;
  border-radius: 100px;
  text-underline-offset: 4px;
}

.header {
  background: white;
  width: 100%;
  position: fixed;
  height: fit-content;
  z-index: 111;
}

.container {
  position: relative;
  padding: 0 2.5%;
  width: 100%;
  border-top: 1px solid #d6d6d6;
  /* margin-top: 10px; */
}

.container > .category {
  margin: 15px 0px;
}

.category > ul > li > select {
  border: none;
  font-weight: bold;
  font-size: 14px;
}

.container > .category > ul > li {
  display: inline;
  list-style: none;
  margin-right: 20px;
  font-size: 14px;
}

.container > .banner {
  width: 100%;
  margin: 30px 0px;

  img {
    border-radius: 7px;
    width: 100%;
  }
}

.all-category {
  margin: 40px 0px;
}
.categories {
  margin-top: 25px;
  width: 100%;
  display: flex;
  flex-wrap: wrap;
  gap: 60px;
  justify-content: space-evenly;

  div {
    width: 88px;
    height: 88px;
    /* margin: 10px; */
    display: grid;
    place-items: center;
    font-weight: bold;
    text-align: center;
    img {
      width: 100%;
    }
  }
}

.catalog {
  width: 100%;
  height: 312px;
  margin-top: 120px;

  h2 {
    padding-left: 1rem;
    margin: 20px 0px;
  }

  .heading {
    display: flex;
    width: 100%;
    justify-content: space-between;
    align-items: center;

    h4 {
      color: royalblue;
    }
  }
}

.cards {
  display: flex;
  flex-wrap: wrap;
  width: 100%;
  height: 100%;
  justify-content: space-around;
}

.card {
  min-width: 300px;
  height: 100%;
  border-radius: 6px;
  width: 10%;
  border: 1px solid #d6d6d6;
  display: flex;
  flex-direction: column;
  margin-top: 10px;

  .image {
    width: 100%;
    height: 50%;
    img {
      width: 100%;
      height: 100%;
      border-top-left-radius: 6px;
      border-top-right-radius: 6px;
      object-fit: cover;
      overflow: hidden;
    }
  }

  .text {
    height: 50%;
    margin: 15px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;

    .price {
      font-size: 18px;
    }

    .description {
      font-weight: normal;
      font-size: 16px;
    }

    .location {
      font-weight: normal;
      font-size: 14px;
    }

    .date {
      font-size: 13px;
    }
  }
}

.end {
  position: relative;
  width: 100%;
  margin-top: -250px;
  height: 200px;
  display: flex;
  flex-wrap: wrap;
  justify-content: space-around;

  .first-img {
    min-width: 320px;
    height: 100%;
    border-radius: 6px;
    width: 10%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;

    img {
      height: 100%;
    }
  }
}

.pitch {
  min-width: 320px;
  height: 100%;
  border-radius: 6px;
  width: 10%;
  display: flex;
  flex-direction: column;
  /* align-items: center; */
  justify-content: center;
}

.pitch > p,
.pitch > h1 {
  margin: 0px 20px;
}

.second-img {
  border-left: 2px solid #d6d6d6;
  border-right: 2px solid #d6d6d6;
  min-width: 320px;
  height: 100%;
  /* border-radius: 6px; */
  width: 10%;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;

  .images {
    width: 100%;
    display: flex;
    flex-direction: row;
    justify-content: center;
  }
  img {
    width: 25%;
    margin: 0px 5px;
  }
}

footer {
  margin-top: 0px;
  border-top: 2px solid #d6d6d6;
  width: 100%;
  transform: scaleX(1.053);
  height: fit-content;
  background: #fff;
  backdrop-filter: blur(3px);
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
  flex-direction: row;
  border-bottom: 50px solid #002f34;
}

.footerStuff {
  padding: 30px;
  min-width: 20%;
  /* width: 320px; */
}

.footerStuff > h2 {
  font-size: 13px;
  font-weight: bold;
  color: #001214;
}

.footerStuff > ul {
  margin-top: 20px;
  line-height: 25px;
  text-align: justify;
}

.footerStuff > ul > li {
  margin-top: 10px;
  list-style: none;
  line-height: 10px;

  a {
    text-decoration: none;
    color: #718692;
    font-size: 12px;
  }
}
.footerImage{

  .images{
    display: flex;
    height: 50%;
    width: 100%;
    justify-content: start;
    align-items: center;

    img{
      width: 60px;
      margin-right: 5px;
    }
  }

  .icons>i{
    margin-right: 4px;
    color: #718692;
    padding: 2px;
    border: 1px solid #718692;
    border-radius: 15px;
  }
}

.footerStuff > ul > li > a:hover {
  color: #000;
}

footer > .line {
  width: 80%;
  height: 1px;
  margin-bottom: 25px;
  background: white;
  border-radius: 10px;
  display: block;
}

footer > .social {
  width: 100%;
  display: flex;
  align-items: center;
  flex-direction: column;
  margin: 20px;
}

footer > .social > ul > li {
  display: inline;
  margin: 10px;
}

footer > .social > ul > li > img {
  width: 30px;
  cursor: pointer;
}

footer > .social > ul > li > img:hover {
  padding: 5px;
}

.end-text{
  position: absolute;
  bottom: -35px;
  right: 10px;
  p{
    font-size: 13px;
    color: white;

    span{
      font-weight: bold;
    }
  }
}